$(function() {
  myFn.g._appCallBack('setClientInfo', myFn.extendJSON({ "title": "添加紧急联系人" }, myFn.titleInfo), function(res) {});
  //获取用户的基本信息
  myFn.ss.set(myFn.sessionKey.isUpdateLoanUserInfo, 1);
  //获取紧急联系人姓名 和 号码对象
  var emgName = $("#emgName");
  var emgMobile = $("#emgMobile");

  //点击调用获取紧急联系人按钮
  var loanEmg = $("#loan-emg");
  //错误信息
  var errorInfo = $(".error-info");
  var p1 = "紧急联系人作为保障您账号安全的一道屏障，不能自己作为紧急联系人，请修改";
  var p2 = "请授权手机通讯录并选择紧急联系人";

  //检查客户端的版本显示紧急联系人的输入方式

    loanEmg.removeClass("hidden");
    emgName.attr("readonly", true);
    emgMobile.attr("readonly", true);


  function checkEmgName() {
    var v = myFn.fs(emgName.html());
    if (!v) {
      myFn.$alert("请输入联系人姓名");
      return false;
    }
    if (!/^[\u2E80-\u9FFF]+$/.test(v) || v == emgName.attr("ev")) {
      myFn.$alert("联系人姓名输入不正确");
      return false;
    }
    if (v.length <= 1 || v.length > 9) {
      myFn.$alert("联系人姓名长度为2-9位");
      return false;
    }
    tosubmit.removeClass("grayBtn");
    return true;
  }

  function checkEmgMobile() {
    var v = myFn.fs(emgMobile.html());
    if (!v) {
      myFn.$alert("请输入手机号码");
      return false;
    }
    if (!new RegExp(myFn.reg.mobile).test(v) || v == emgMobile.attr("ev") || v.length != 11) {
      myFn.$alert("手机号输入不正确");
      return false;
    }
    tosubmit.removeClass("grayBtn");
    return true;
  }
  var tosubmit = $(".tosubmit");
  //检查表单数据
  function checkForm() {
    if (checkEmgName() && checkEmgMobile()) {
      tosubmit.removeClass("grayBtn");
    } else {
      tosubmit.addClass("grayBtn");
    }
  }

  //当点击获取紧急联紧人按钮时
  loanEmg.on("click", function() {
    myFn.g._appCallBack('selectContact', {
      "uploadContactUrl": myFn.host + myFn.uploadContactUrl,
      "uploadCallLogUrl": myFn.host + myFn.uploadCallLogUrl
    }, function(res) {
      if (res.success == 0) { //当没有给读取通讯录时
        errorInfo.html(p2).removeClass("hidden").addClass("right-arrow");
      } else {
        errorInfo.html("").addClass("hidden").removeClass("right-arrow");
        emgName.html(res.name.replace(/\s/g, ""));
        emgMobile.html(res.phone.replace(/\s/g, ""));
        checkForm();
      }
    });
  });
  //去开启读取紧急联系人权限
  errorInfo.on("click", function() {
    if (errorInfo.hasClass("right-arrow")) {
      myFn.g._appCallBack('openAddressBook', {}, function(res) {});
    }
  });
});